#!/usr/bin/env python
# -*- coding: utf-8 -*-
import xattr
from assert_exists import assert_exists
from public import public

kMDItemFinderComment = "kMDItemFinderComment"


@public
def comment_get(path):
    assert_exists(path)
    try:
        comment = xattr.getxattr(path, kMDItemFinderComment)
        # str/bytes by default
        return comment.decode("utf-8")  # convert to unicode
    except:
        pass


@public
def comment_set(path, comment=None):
    assert_exists(path)
    if comment is None:
        xattr.removexattr(path, kMDItemFinderComment)
        return
    old = comment_get(path)
    if comment != old:
        if comment is not None and hasattr(comment, "encode"):
            comment = comment.encode("utf-8")  # str/bytes required
        xattr.setxattr(path, kMDItemFinderComment, comment)
